/*============================================
  GApplication.h
  
  1996 Michael Stochosky, see BeVGB.doc for
  details.
  ============================================*/


#ifndef G_APPLICATION_H
#define G_APPLICATION_H

#ifndef _APPLICATION_H
#include <Application.h>
#endif

#ifndef G_WINDOW_H
#include "GWindow.h"
#endif

#define SLEEP_TIME 5000.0

// ports
extern port_id gOutputPort;
extern port_id gInputPort;


// message constants
enum {
	mREFRESH =			'draw',
	mSETTINGS =			'pref',
	mOPEN =				'open',
	mPAUSE =			'halt',
	mRESET =			'rset',
	mRUN_CART =			'cart',
	mGB_FLAGS =			'flag'
};

// application signature and file type
enum {
	// from BeVGB
	tCART =			'CART',
	tSAVE =			'SAVE',
	tSIGNATURE =	'BVGB',
	
	// from ImageViewer
	tIMAGE =		'BITM',
	tIMAGE_VIEWER =	'PPNT'
};


class GApplication : public BApplication {

public:
					GApplication();
	virtual void	ReadyToRun(void);
	virtual void	MessageReceived(BMessage *msg);
	virtual void	AboutRequested(void);
	virtual void	MenusWillShow(void);
	virtual void	FilePanelClosed(BMessage *msg);
	virtual void	RefsReceived(BMessage *msg);
	
private:
	GWindow			*mWindow;
	
	// open file vars
	BRect			mFrame;
	record_ref		mDirectory;
	char			mMarked[B_OS_NAME_LENGTH];
};

#endif
