/*============================================
  GView.h
  
  1996 Michael Stochosky, see BeVGB.doc for
  details.
  ============================================*/

#ifndef G_VIEW_H
#define G_VIEW_H

#ifndef _VIEW_H
#include <View.h>
#endif

#ifndef GAMEBOY_H
#include "GameBoy.h"
#endif

class GView : public BView {

public:
					GView(BRect frame, char *name);
					~GView(); 
	virtual	void	AttachedToWindow();
	virtual void	WindowActivated(bool active);
	virtual void	MessageReceived(BMessage *msg);
	virtual void	MouseDown(BPoint point);
	virtual void	MouseMoved(BPoint point, ulong transit, BMessage *msg);
	virtual	void	Draw(BRect updateRect);
	void			Run(record_ref ref);
	void			SetBits(char *bits, long length);
	long			Pause(void);
	long			Resume(void);
	void			Reset(void);
	bool			IsPaused(void);

private:
	void			DrawDragover(ulong transit);
	long			CreateClip(BBitmap *image, record_ref *ref);
	
	GameBoy			*mGameBoy;
	BBitmap			*mBitmap;
	record_ref		mLastRef;
	bool			mPaused;
};

#endif
