/*============================================	
  GameBoy.h
  
  1996 Michael Stochosky, see BeVGB.doc for
  details.
  ============================================*/

#ifndef GAMEBOY_H
#define GAMEBOY_H


// screen demensions
#define WIDTH		176
#define HEIGHT		144
#define USE_XPAL


// GameBoy Emulator class -----------------------
class GameBoy : public BObject
{

// functions
public:
					GameBoy(void);
					~GameBoy();
	
	long			Go(record_ref ref);
	void			Stop(void);
	long			Suspend(void);
	long			Resume(void);
	bool			IsSuspended(void);
	bool			IsCartridge(record_ref ref);
	void			SetFlags(BMessage *msg);
	
private:
	static long		entry_func(void *);
	
	// control vars
	thread_id		mThread;
	sem_id			mInteruptSem;
	sem_id			mExitSem;
};

#endif